Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Member Functions | Private Attributes | List of all members
MultiObjectPropertyModel Class Reference
Inheritance diagram for MultiObjectPropertyModel:

## Public Member Functions
| MultiObjectPropertyModel (const QStringList &res, QObject *parent=0)
virtual int | rowCount (const QModelIndex &parent=QModelIndex()) const
virtual QVariant | data (const QModelIndex &index, int role=Qt::DisplayRole) const
virtual QVariant | headerData (int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const
virtual void | objectUpdated ()
| Revisualizes visualized properties.
virtual void | visualize (QModelIndexList selectedIndices, QWidgetList widgets=QWidgetList())
| Visualizes the selected properties.
virtual void | removeProperty (QModelIndexList selectedIndices)
| Removes the selected properties.
virtual void | duplicateProperty (QModelIndexList selectedIndices)
| Duplicates the selected properties.
virtual void | gatherProperties ()
| Searches for properties and creates PropertyVisualizers.
virtual void | clear (QModelIndexList selectedIndices)
| Clears the selected property visualization.
virtual void | hideWidget ()
| Hides the widget.
virtual QWidget * | getWidget ()
| Returns the widget.
virtual void | updateWidget (const QModelIndexList &selectedIndices)
| Updates the widget.
virtual void | connectLogs (PropertyVisualizer *propViz)
| Connects the PropertyVisualizer log signals with the log slot.
virtual PropertyInfo | getPropertyInfo (const QModelIndex index) const
| Returns the property info for the property with the given index.
Public Member Functions inherited from PropertyModel
virtual void | pickModeChanged (const std::string &_mode)
virtual void | mouseEvent (QMouseEvent *_event)
| PropertyModel (QObject *parent=0)
QModelIndex | indexFromFancyPropName (const QString &propName) const
| Returns the index of the property with the given name.
QModelIndex | indexFromPlainPropName (const QString &propName) const
| Returns the index of the property with the given name.

## Private Member Functions
QWidget * | createWidgetForType (const TypeInfoWrapper &info) const
void | setRange (const PropertyInfo &info, QWidget *widget) const

## Private Attributes
const QStringList | restriction
const DataType | datatypes
std::vector< QString > | propNames
std::vector< PropertyInfo > | propInfos
std::vector< QWidget * > | propWidgets
QWidget * | widget

## Detailed Description

Definition at line 58 of file MultiObjectPropertyModel.hh.

The documentation for this class was generated from the following files:

- Plugin-PropertyVis/MultiObjectPropertyModel.hh
- Plugin-PropertyVis/MultiObjectPropertyModel.cc